/*************************************************************************
 * ArtisticStylePlugin: Using Artistic Style at Qt Creator.              *
 * Copyright (C) 2010-2011  Lorenz Haas <lykurg@gmail.com>               *
 *                                                                       *
 * This program is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation, either version 3 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 *************************************************************************/

#ifndef ARTISTICSTYLEOPTIONPAGEGUI_H
#define ARTISTICSTYLEOPTIONPAGEGUI_H

namespace Ui
{
  class ArtisticStyleOptionPageGui;
}

#include <QWidget>
class QComboBox;
class QSpinBox;
class QSettings;

namespace ArtisticStyle
{
  namespace Internal
  {
    class ArtisticStyleOptionPageGui : public QWidget
    {
        Q_OBJECT
      public:
        ArtisticStyleOptionPageGui(QWidget* parent = 0);
        ~ArtisticStyleOptionPageGui();
        bool save();

      private:
        inline void setCurrentForInt(QComboBox* box, int value);
        inline void setCurrentForString(QComboBox* box, const QString& value);
        inline bool setValueWithCheck(QSettings* settings, const QString& key, const QVariant& value);
        Ui::ArtisticStyleOptionPageGui* ui;
    };
  } // namespace Internal
} // namespace ArtisticStyle

#endif // ARTISTICSTYLEOPTIONPAGEGUI_H
